package cz.moneta.test.dsl.broadcom;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.broadcom.BroadcomEndpoint;
import cz.moneta.test.harness.support.web.Builders;

public class Broadcom {

    private final Harness harness;

    public Broadcom(Harness harness) {
        this.harness = harness;
    }

    public BroadcomLoginPage openBroadcomLoginPage() {
        BroadcomEndpoint broadcomEndpoint = harness.getEndpoint(BroadcomEndpoint.class);
        broadcomEndpoint.openApplication();
        return Builders.newWebFlowBuilder(BroadcomLoginPage.class, broadcomEndpoint, harness);
    }

}